#include <bits/stdc++.h>
using namespace std;

int main()
{
    long x1, y1, x2, y2;
    cin >> x1 >> y1 >> x2 >> y2;
    if(x1 == x2 || y1 == y2)
        cout << 2;
    if(abs(abs(x1)-abs(y1)) == abs(abs(x2)-abs(y2)))
        cout << 1;
    else if(x1 == y1 && x2 == y2)
        cout << 1;
    else
        cout << 0;
    return 0;
}